<?
$_SESSION["title"]="Админка: добавить точку перехода";
heads($headers_page, $set_ob_start);
if(!$user or $user['accept']<77){header("Location: ?");exit;}
#include_once "./#adm/fnc.php";
#aut_check($user);
//
foreach($_POST as $key => $value)   //Отоладка
    {
       echo "$key - $value<br />";
    }
################################## Основной момент при наличии всех параметров ################################
if(isset($_GET['in_coord']) and isset($_GET['in_card']) and isset($_GET['out_coord']) and isset($_GET['out_card']))
{ //?a_addjump:&in_coord=$in_coord&in_card=$in_card[id]&out_coord=$coordinate&out_card=$out_card[id]
$in_coord=ft_nic($_GET['in_coord']);
$in_card=intval($_GET['in_card']);
$out_coord=ft_nic($_GET['out_coord']);
$out_card=intval($_GET['out_card']);
$start_card=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$in_card' LIMIT 1"));
$stop_card=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$out_card' LIMIT 1"));
$ukey=gen_key();
@mysql_query("INSERT INTO `jump` SET
      `ukey`='$ukey',
      `in_title`='$start_card[name]', 
      `title`='$stop_card[name]',
      `in_card`='$start_card[id]',
      `in_koord`='$in_coord',
      `card`='$stop_card[id]',
      `koord`='$out_coord'
      ");
  if(mysql_affected_rows()){mset_msg("Перемычка успешно добавлена");}else{mset_err("Ошибка добавления!");}
  //Обратная перемычка
@mysql_query("INSERT INTO `jump` SET
      `ukey`='$ukey',
      `in_title`='$stop_card[name]', 
      `title`='$start_card[name]',
      `in_card`='$stop_card[id]',
      `in_koord`='$out_coord',
      `card`='$start_card[id]',
      `koord`='$in_coord'
      ");
      if(mysql_affected_rows()){mset_msg("Обратная перемычка успешно добавлена");}else{mset_err("Ошибка добавления!");}
      #{$_SESSION['error'].="Обратная перемычка успешно добавлена<br />";}else{$_SESSION['error'].="Ошибка добавления!<br />";}  
$link="?a_jump";
header("Location: $link");exit;
}
###############################################################################################################


if(isset($_GET['in_card'])){$_POST['in_card']=$_GET['in_card'];}
if(isset($_POST['in_coord'])){$_GET['in_coord']=$_POST['in_coord'];}
if(isset($_POST['in_card']))// and !isset($_GET['in_coord'])
{
if(isset($_GET['in_coord']))
{
$in_coord=ft_nic($_GET['in_coord']);
echo "Исходящие координаты $in_coord<br />";
}else{$in_coord=false;}
$id=intval($_POST['in_card']);
echo "<form action=\"\" method=\"post\" >";
$in_card=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$id' LIMIT 1"));
//

//
echo "Исходящая карта [$in_card[id]] $in_card[name]<br />";
$_t_s=explode('-',$in_card['s']);
  $in_card['max_x']=intval($_t_s['0']);
  $in_card['max_y']=intval($_t_s['1']);
//Вычисляем точки перехода
$BASE=array();
$BASE=eject_coord_base($in_card['card']);
echo "<table border='0'  align='center'>";
echo "<input type=\"hidden\" name=\"in_card\" value=\"$in_card[id]\" />";
 for ($i = 1; $i <= $in_card['max_y']; $i++)
 {
 $y=$i;
 echo "<tr>";
  //$line=explode(":",$card["$i"]);
  $x=1;
  for ($j = 1; $j <= $in_card['max_x']; $j++)
  {
  $x=$j;
  //<img src=\"$value\" alt=\"\" />
  $coordinate="$x-$y";
  //$BASE[trim($coordinate)]=trim($value);//Здесь задать действие для ...
  if(isset($BASE[$coordinate]))
  {
  $pict="<img  class='none' src=\"./img/land/$BASE[$coordinate].gif\" alt=\"\" />";}else{
  $pict="<img  class='none' src=\"./img/land/null.gif\" alt=\"\" />";
  }
  
  if(isset($BASE[$coordinate]) and substr_count($BASE[$coordinate],'door'))
  {   //Задаем ссылку для отмеки координат исходящей точки
      $pict="<a href=\"?l=a_addjump&in_coord=$coordinate&in_card=$in_card[id]\"><img src=\"./img/land/$BASE[$coordinate].gif\" alt=\"\" /></a>";
      $class=" class='c02'";
  }else{$class="  class='none'";}
  echo "<td$class>$pict</td>";  
  }
  echo "</tr>";
 }
echo "</table>";
echo "</form>";
}

###############################################################################################################
if(!isset($in_card))
{
echo "Выбрать исходящую карту<br />";
$cards=mysql_query("SELECT * FROM `card`");      
echo "<form action=\"\" method=\"post\" ><select name=\"in_card\">";
while($data_card=mysql_fetch_array($cards, MYSQL_ASSOC))
  {
  echo "<option value=\"$data_card[id]\">$data_card[title]</option>";  
  }
echo "</select><br /><input type=\"submit\" value=\"выбрать\"><br />";
echo "</form>";
}
###############################################################################################################
if(isset($_POST['out_card']))
{
$id=intval($_POST['out_card']);
$out_card=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$id' AND `id`!='$in_card[id]' LIMIT 1"));
echo "Выходящая карта [$out_card[id]] $out_card[name]<br />";
$BASE=eject_coord_base($out_card['card']);
echo "<table border='0'>";
echo "<input type=\"hidden\" name=\"in_card\" value=\"$in_card[id]\" />";
$_t_s=explode('-',$out_card['s']);
$out_card['max_x']=intval($_t_s['0']);
$out_card['max_y']=intval($_t_s['1']);
 for ($i = 1; $i <= $out_card['max_y']; $i++)
 {
 $y=$i;
 echo "<tr>";
  //$line=explode(":",$card["$i"]);
  $x=1;
  for ($j = 1; $j <= $out_card['max_x']; $j++)
  {
  $x=$j;
  //<img src=\"$value\" alt=\"\" />
  $coordinate="$x-$y";
  //$BASE[trim($coordinate)]=trim($value);//Здесь задать действие для ...
  if(isset($BASE[$coordinate])){
  $pict="<img src=\"./img/land/$BASE[$coordinate].gif\" alt=\"\" />";}else{$pict="<img src=\"./img/land/null.gif\" alt=\"\" />";}
  // substr_count($BASE[$coordinate],'door')
  if(isset($BASE[$coordinate]) and substr_count($BASE[$coordinate],'door'))
  {   //Задаем ссылку для отмеки координат исходящей точки
      $pict="<a href=\"?l=a_addjump&in_coord=$in_coord&in_card=$in_card[id]&out_coord=$coordinate&out_card=$out_card[id]\"><img src=\"./img/land/$BASE[$coordinate].gif\" alt=\"\" /></a>";
      $class=" class='c02'";
  }else{$class="";}
  echo "<td$class>$pict</td>";  
  }
  echo "</tr>";
 }
echo "</table>";
echo "</form>";
}
###############################################################################################################
if(!isset($in_card)){$in_card=NULL;}
if(!isset($out_card) and ($in_card and $in_coord))
{
echo "Выбрать выходящую карту<br />";
$cards=mysql_query("SELECT * FROM `location` WHERE `id`!='$in_card[id]'");      
echo "<form action=\"\" method=\"post\">";
echo "<input type=\"hidden\" name=\"in_card\" value=\"$in_card[id]\" />";
echo "<input type=\"hidden\" name=\"in_coord\" value=\"$in_coord\" />";
echo "<select name=\"out_card\">";
while($data_card=mysql_fetch_array($cards, MYSQL_ASSOC))
  {
  echo "<option value=\"$data_card[id]\">$data_card[name]</option>";  
  }
echo "</select><br /><input type=\"submit\" value=\"выбрать\"><br />";
echo "</form>";
}
############################################################################################################### 
//echo "<a href=\"?a_addjump\">Добавить точку</a>";
echo "<a href=\"?admin\">Админка</a>";
?>